default:
  image: "archlinux/devel-tnl:latest"
  before_script:
    # make sure that $PATH and other essential variables are set correctly
    - source /etc/profile
    # install build tools (all tools needed for TNL development are already in the image)
    #- pacman -Suy --noconfirm --needed pkgname ...

# automatically initialize git submodules
# https://docs.gitlab.com/ee/ci/git_submodules.html
variables:
  GIT_SUBMODULE_STRATEGY: recursive

stages:
  - build

build_Release:
  stage: build
  script:
    - cmake -B build -S . -G Ninja -DCMAKE_BUILD_TYPE=Release
    - ninja -C build

build_Debug:
  stage: build
  script:
    - cmake -B build -S . -G Ninja -DCMAKE_BUILD_TYPE=Debug
    - ninja -C build
